

// Wolfie code or something

ServerEvents.recipes(e => {
    // Recipie for Accumulation Processor Press
    e.recipes.create.sequenced_assembly([
        Item.of('megacells:accumulation_processor_press')
    ], 'ae2:singularity', [
        e.recipes.createDeploying('kubejs:incomplete_inscriber_accumulation_press', ['kubejs:incomplete_inscriber_accumulation_press', 'ae2:calculation_processor_press']).keepHeldItem(),
        e.recipes.createDeploying('kubejs:incomplete_inscriber_accumulation_press', ['kubejs:incomplete_inscriber_accumulation_press', 'ae2:engineering_processor_press']).keepHeldItem(),
        e.recipes.createPressing('kubejs:incomplete_inscriber_accumulation_press', 'kubejs:incomplete_inscriber_accumulation_press'),
    ]).transitionalItem('kubejs:incomplete_inscriber_accumulation_press').loops(1)

    // Recipe for Printed Accumation Processor
    e.recipes.create.sequenced_assembly([
        Item.of('megacells:printed_accumulation_processor')
    ], 'megacells:sky_steel_ingot', [
        e.recipes.createDeploying('kubejs:incomplete_printed_accumulation_circuit', ['kubejs:incomplete_printed_accumulation_circuit', 'megacells:accumulation_processor_press']).keepHeldItem(),
        e.recipes.createPressing('kubejs:incomplete_printed_accumulation_circuit', 'kubejs:incomplete_printed_accumulation_circuit'),
    ]).transitionalItem('kubejs:incomplete_printed_accumulation_circuit').loops(1)

    // Recipe for Accumulation Processor
    e.recipes.create.sequenced_assembly([
        Item.of('megacells:accumulation_processor')
    ], 'ae2:fluix_dust', [
        e.recipes.createDeploying('megacells:printed_accumulation_processor', ['kubejs:incomplete_accumulation_processor', 'megacells:printed_accumulation_processor']),
        e.recipes.createDeploying('ae2:printed_silicon', ['kubejs:incomplete_accumulation_processor', 'ae2:printed_silicon']),
        e.recipes.createPressing('kubejs:incomplete_accumulation_processor', 'kubejs:incomplete_accumulation_processor'),
    ]).transitionalItem('kubejs:incomplete_accumulation_processor').loops(1)

    // Recipe for Inscriber Quantum Press
    e.recipes.create.sequenced_assembly([
        Item.of('advanced_ae:quantum_processor_press')
    ], 'advanced_ae:shattered_singularity', [
        e.recipes.createDeploying('ae2:engineering_processor_press', ['kubejs:incomplete_quantum_processor_press', 'ae2:engineering_processor_press']).keepHeldItem(),
        e.recipes.createDeploying('ae2:logic_processor_press', ['kubejs:incomplete_accumulation_processor', 'ae2:logic_processor_press']).keepHeldItem(),
        e.recipes.createPressing('kubejs:incomplete_quantum_processor_press', 'kubejs:incomplete_quantum_processor_press'),
    ]).transitionalItem('kubejs:incomplete_quantum_processor_press').loops(1)

    // Recipe for Printed Quantum Circuit
    e.recipes.create.sequenced_assembly([
        Item.of('advanced_ae:printed_quantum_processor')
    ], 'advanced_ae:quantum_alloy', [
        e.recipes.createDeploying('advanced_ae:quantum_processor_press', ['kubejs:incomplete_printed_quantum_processor', 'advanced_ae:quantum_processor_press']).keepHeldItem(),
        e.recipes.createPressing('kubejs:incomplete_printed_quantum_processor', 'kubejs:incomplete_printed_quantum_processor'),
    ]).transitionalItem('kubejs:incomplete_printed_quantum_processor').loops(1)

    // Recipe for Quantum Processor
    e.recipes.create.sequenced_assembly([
        Item.of('advanced_ae:quantum_processor')
    ], 'minecraft:redstone', [
        e.recipes.createDeploying('advanced_ae:printed_quantum_processor', ['kubejs:incomplete_quantum_processor', 'advanced_ae:printed_quantum_processor']),
        e.recipes.createDeploying('ae2:printed_silicon', ['kubejs:incomplete_quantum_processor', 'ae2:printed_silicon']),
        e.recipes.createPressing('kubejs:incomplete_quantum_processor', 'kubejs:incomplete_quantum_processor'),
    ]).transitionalItem('kubejs:incomplete_quantum_processor').loops(1)
})

ServerEvents.recipes(e => {
    // Recipe for Quantum Storage Component
    e.shaped(
        Item.of('advanced_ae:quantum_storage_component', 1),
        [
            'ACA',
            'BDB',
            'ABA'
        ],
        {
            A: 'advanced_ae:quantum_processor',
            B: 'megacells:cell_component_256m',
            C: 'megacells:bulk_cell_component',
            D: 'ae2:quartz_vibrant_glass',
        }
    )
})

ServerEvents.recipes(e => {
    // Recipe for Quantum Infused Dust
    e.recipes.create.crushing('advanced_ae:quantum_infused_dust', 'advanced_ae:shattered_singularity')
    e.recipes.create.milling( 'advanced_ae:quantum_infused_dust', 'advanced_ae:shattered_singularity')
})